AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- GreetingComponentCore
  - GreetingComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- amplifyService
- authState
- greeting
- logger
- signedIn

### Methods

- ngOnInit
- onSignOut
- setAuthState
- subscribe

## Constructors

### constructor

- new GreetingComponentIonic(amplifyService: AmplifyService): GreetingComponentIonic

- Overrides GreetingComponentCore.constructor

  - Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.ionic.ts:38

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns GreetingComponentIonic

## Properties

### Protected amplifyService

amplifyService: AmplifyService

Overrides GreetingComponentCore.amplifyService

- Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.ionic.ts:40

### authState

authState: AuthState

Inherited from GreetingComponentCore.authState

- Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.core.ts:44

### greeting

greeting: string

Inherited from GreetingComponentCore.greeting

- Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.core.ts:35

### Protected logger

logger: any

Inherited from GreetingComponentCore.logger

- Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.core.ts:36

### signedIn

signedIn: boolean

Inherited from GreetingComponentCore.signedIn

- Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.core.ts:34

## Methods

### ngOnInit

- ngOnInit(): void

- Inherited from GreetingComponentCore.ngOnInit

  - Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.core.ts:46

  #### Returns void

### onSignOut

- onSignOut(): void

- Inherited from GreetingComponentCore.onSignOut

  - Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.core.ts:67

  #### Returns void

### setAuthState

- setAuthState(authState: AuthState): void

- Inherited from GreetingComponentCore.setAuthState

  - Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.core.ts:57

  #### Parameters

  - ##### authState: AuthState

  #### Returns void

### subscribe

- subscribe(): void

- Inherited from GreetingComponentCore.subscribe

  - Defined in aws-amplify-angular/src/components/authenticator/greeting-component/greeting.component.core.ts:52

  #### Returns void